#ifndef NETBOARD_DATA_H
#define NETBOARD_DATA_H

struct s_client;
struct s_game;

typedef struct {
	char *rules, *name, *passwd;
	int is_locked;
	struct s_client **player;
	int player_size;
} GAME;

typedef struct {
	int fd;
	GAME *game;
	char *name;
	int color;
} CLIENT;

typedef struct {
	GAME *game;
	int size;
} GAME_LIST;

extern GAME_LIST *game_list;

CLIENT *create_clients(int count);
GAME_LIST *create_game_list(int size);
int connect_to_game(CLIENT *client, char *name);
int game_destroy(GAME *game);
int game_remove_player(CLIENT *client, GAME *game);
int send_to_all(GAME *game, char *buf, CLIENT *exclude);
int leave_client(CLIENT *client);


#endif
